Skip to main content
POST
/
datasets
/
{datasetId}
/
dynamic-columns
/
fetch
Trigger dynamic column fetch
curl --request POST \
  --url https://api.adaline.ai/v2/datasets/{datasetId}/dynamic-columns/fetch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "columnIds": [
    "<string>"
  ],
  "datasetRowIds": [
    "<string>"
  ],
  "runMode": "all"
}
'
{
  "datasetId": "<string>",
  "runMode": "all",
  "columnRuns": [
    {
      "columnId": "<string>",
      "runMode": "all",
      "totalRowsInDataset": 123,
      "processedRowsCount": 123,
      "successfulCount": 123,
      "failedCount": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

datasetId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Body

application/json
columnIds
string[]

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
datasetRowIds
string[]

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
runMode
enum<string>
Available options:
all,
failed,
first

Response

Dynamic columns fetched.

datasetId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
runMode
enum<string>
required
Available options:
all,
failed,
first
columnRuns
object[]
required